/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

#ifndef YY_YY_UTIL_CONFIGPARSER_H_INCLUDED
# define YY_YY_UTIL_CONFIGPARSER_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SPACE = 258,
    LETTER = 259,
    NEWLINE = 260,
    COMMENT = 261,
    COLON = 262,
    ANY = 263,
    ZONESTR = 264,
    STRING_ARG = 265,
    VAR_SERVER = 266,
    VAR_VERBOSITY = 267,
    VAR_NUM_THREADS = 268,
    VAR_PORT = 269,
    VAR_OUTGOING_RANGE = 270,
    VAR_INTERFACE = 271,
    VAR_DO_IP4 = 272,
    VAR_DO_IP6 = 273,
    VAR_PREFER_IP6 = 274,
    VAR_DO_UDP = 275,
    VAR_DO_TCP = 276,
    VAR_TCP_MSS = 277,
    VAR_OUTGOING_TCP_MSS = 278,
    VAR_TCP_IDLE_TIMEOUT = 279,
    VAR_EDNS_TCP_KEEPALIVE = 280,
    VAR_EDNS_TCP_KEEPALIVE_TIMEOUT = 281,
    VAR_CHROOT = 282,
    VAR_USERNAME = 283,
    VAR_DIRECTORY = 284,
    VAR_LOGFILE = 285,
    VAR_PIDFILE = 286,
    VAR_MSG_CACHE_SIZE = 287,
    VAR_MSG_CACHE_SLABS = 288,
    VAR_NUM_QUERIES_PER_THREAD = 289,
    VAR_RRSET_CACHE_SIZE = 290,
    VAR_RRSET_CACHE_SLABS = 291,
    VAR_OUTGOING_NUM_TCP = 292,
    VAR_INFRA_HOST_TTL = 293,
    VAR_INFRA_LAME_TTL = 294,
    VAR_INFRA_CACHE_SLABS = 295,
    VAR_INFRA_CACHE_NUMHOSTS = 296,
    VAR_INFRA_CACHE_LAME_SIZE = 297,
    VAR_NAME = 298,
    VAR_STUB_ZONE = 299,
    VAR_STUB_HOST = 300,
    VAR_STUB_ADDR = 301,
    VAR_TARGET_FETCH_POLICY = 302,
    VAR_HARDEN_SHORT_BUFSIZE = 303,
    VAR_HARDEN_LARGE_QUERIES = 304,
    VAR_FORWARD_ZONE = 305,
    VAR_FORWARD_HOST = 306,
    VAR_FORWARD_ADDR = 307,
    VAR_DO_NOT_QUERY_ADDRESS = 308,
    VAR_HIDE_IDENTITY = 309,
    VAR_HIDE_VERSION = 310,
    VAR_IDENTITY = 311,
    VAR_VERSION = 312,
    VAR_HARDEN_GLUE = 313,
    VAR_MODULE_CONF = 314,
    VAR_TRUST_ANCHOR_FILE = 315,
    VAR_TRUST_ANCHOR = 316,
    VAR_VAL_OVERRIDE_DATE = 317,
    VAR_BOGUS_TTL = 318,
    VAR_VAL_CLEAN_ADDITIONAL = 319,
    VAR_VAL_PERMISSIVE_MODE = 320,
    VAR_INCOMING_NUM_TCP = 321,
    VAR_MSG_BUFFER_SIZE = 322,
    VAR_KEY_CACHE_SIZE = 323,
    VAR_KEY_CACHE_SLABS = 324,
    VAR_TRUSTED_KEYS_FILE = 325,
    VAR_VAL_NSEC3_KEYSIZE_ITERATIONS = 326,
    VAR_USE_SYSLOG = 327,
    VAR_OUTGOING_INTERFACE = 328,
    VAR_ROOT_HINTS = 329,
    VAR_DO_NOT_QUERY_LOCALHOST = 330,
    VAR_CACHE_MAX_TTL = 331,
    VAR_HARDEN_DNSSEC_STRIPPED = 332,
    VAR_ACCESS_CONTROL = 333,
    VAR_LOCAL_ZONE = 334,
    VAR_LOCAL_DATA = 335,
    VAR_INTERFACE_AUTOMATIC = 336,
    VAR_STATISTICS_INTERVAL = 337,
    VAR_DO_DAEMONIZE = 338,
    VAR_USE_CAPS_FOR_ID = 339,
    VAR_STATISTICS_CUMULATIVE = 340,
    VAR_OUTGOING_PORT_PERMIT = 341,
    VAR_OUTGOING_PORT_AVOID = 342,
    VAR_DLV_ANCHOR_FILE = 343,
    VAR_DLV_ANCHOR = 344,
    VAR_NEG_CACHE_SIZE = 345,
    VAR_HARDEN_REFERRAL_PATH = 346,
    VAR_PRIVATE_ADDRESS = 347,
    VAR_PRIVATE_DOMAIN = 348,
    VAR_REMOTE_CONTROL = 349,
    VAR_CONTROL_ENABLE = 350,
    VAR_CONTROL_INTERFACE = 351,
    VAR_CONTROL_PORT = 352,
    VAR_SERVER_KEY_FILE = 353,
    VAR_SERVER_CERT_FILE = 354,
    VAR_CONTROL_KEY_FILE = 355,
    VAR_CONTROL_CERT_FILE = 356,
    VAR_CONTROL_USE_CERT = 357,
    VAR_EXTENDED_STATISTICS = 358,
    VAR_LOCAL_DATA_PTR = 359,
    VAR_JOSTLE_TIMEOUT = 360,
    VAR_STUB_PRIME = 361,
    VAR_UNWANTED_REPLY_THRESHOLD = 362,
    VAR_LOG_TIME_ASCII = 363,
    VAR_DOMAIN_INSECURE = 364,
    VAR_PYTHON = 365,
    VAR_PYTHON_SCRIPT = 366,
    VAR_VAL_SIG_SKEW_MIN = 367,
    VAR_VAL_SIG_SKEW_MAX = 368,
    VAR_CACHE_MIN_TTL = 369,
    VAR_VAL_LOG_LEVEL = 370,
    VAR_AUTO_TRUST_ANCHOR_FILE = 371,
    VAR_KEEP_MISSING = 372,
    VAR_ADD_HOLDDOWN = 373,
    VAR_DEL_HOLDDOWN = 374,
    VAR_SO_RCVBUF = 375,
    VAR_EDNS_BUFFER_SIZE = 376,
    VAR_PREFETCH = 377,
    VAR_PREFETCH_KEY = 378,
    VAR_SO_SNDBUF = 379,
    VAR_SO_REUSEPORT = 380,
    VAR_HARDEN_BELOW_NXDOMAIN = 381,
    VAR_IGNORE_CD_FLAG = 382,
    VAR_LOG_QUERIES = 383,
    VAR_LOG_REPLIES = 384,
    VAR_LOG_LOCAL_ACTIONS = 385,
    VAR_TCP_UPSTREAM = 386,
    VAR_SSL_UPSTREAM = 387,
    VAR_SSL_SERVICE_KEY = 388,
    VAR_SSL_SERVICE_PEM = 389,
    VAR_SSL_PORT = 390,
    VAR_FORWARD_FIRST = 391,
    VAR_STUB_SSL_UPSTREAM = 392,
    VAR_FORWARD_SSL_UPSTREAM = 393,
    VAR_TLS_CERT_BUNDLE = 394,
    VAR_STUB_FIRST = 395,
    VAR_MINIMAL_RESPONSES = 396,
    VAR_RRSET_ROUNDROBIN = 397,
    VAR_MAX_UDP_SIZE = 398,
    VAR_DELAY_CLOSE = 399,
    VAR_UNBLOCK_LAN_ZONES = 400,
    VAR_INSECURE_LAN_ZONES = 401,
    VAR_INFRA_CACHE_MIN_RTT = 402,
    VAR_DNS64_PREFIX = 403,
    VAR_DNS64_SYNTHALL = 404,
    VAR_DNS64_IGNORE_AAAA = 405,
    VAR_DNSTAP = 406,
    VAR_DNSTAP_ENABLE = 407,
    VAR_DNSTAP_SOCKET_PATH = 408,
    VAR_DNSTAP_SEND_IDENTITY = 409,
    VAR_DNSTAP_SEND_VERSION = 410,
    VAR_DNSTAP_IDENTITY = 411,
    VAR_DNSTAP_VERSION = 412,
    VAR_DNSTAP_LOG_RESOLVER_QUERY_MESSAGES = 413,
    VAR_DNSTAP_LOG_RESOLVER_RESPONSE_MESSAGES = 414,
    VAR_DNSTAP_LOG_CLIENT_QUERY_MESSAGES = 415,
    VAR_DNSTAP_LOG_CLIENT_RESPONSE_MESSAGES = 416,
    VAR_DNSTAP_LOG_FORWARDER_QUERY_MESSAGES = 417,
    VAR_DNSTAP_LOG_FORWARDER_RESPONSE_MESSAGES = 418,
    VAR_RESPONSE_IP_TAG = 419,
    VAR_RESPONSE_IP = 420,
    VAR_RESPONSE_IP_DATA = 421,
    VAR_HARDEN_ALGO_DOWNGRADE = 422,
    VAR_IP_TRANSPARENT = 423,
    VAR_DISABLE_DNSSEC_LAME_CHECK = 424,
    VAR_IP_RATELIMIT = 425,
    VAR_IP_RATELIMIT_SLABS = 426,
    VAR_IP_RATELIMIT_SIZE = 427,
    VAR_RATELIMIT = 428,
    VAR_RATELIMIT_SLABS = 429,
    VAR_RATELIMIT_SIZE = 430,
    VAR_RATELIMIT_FOR_DOMAIN = 431,
    VAR_RATELIMIT_BELOW_DOMAIN = 432,
    VAR_IP_RATELIMIT_FACTOR = 433,
    VAR_RATELIMIT_FACTOR = 434,
    VAR_SEND_CLIENT_SUBNET = 435,
    VAR_CLIENT_SUBNET_ZONE = 436,
    VAR_CLIENT_SUBNET_ALWAYS_FORWARD = 437,
    VAR_CLIENT_SUBNET_OPCODE = 438,
    VAR_MAX_CLIENT_SUBNET_IPV4 = 439,
    VAR_MAX_CLIENT_SUBNET_IPV6 = 440,
    VAR_MIN_CLIENT_SUBNET_IPV4 = 441,
    VAR_MIN_CLIENT_SUBNET_IPV6 = 442,
    VAR_MAX_ECS_TREE_SIZE_IPV4 = 443,
    VAR_MAX_ECS_TREE_SIZE_IPV6 = 444,
    VAR_CAPS_WHITELIST = 445,
    VAR_CACHE_MAX_NEGATIVE_TTL = 446,
    VAR_PERMIT_SMALL_HOLDDOWN = 447,
    VAR_QNAME_MINIMISATION = 448,
    VAR_QNAME_MINIMISATION_STRICT = 449,
    VAR_IP_FREEBIND = 450,
    VAR_DEFINE_TAG = 451,
    VAR_LOCAL_ZONE_TAG = 452,
    VAR_ACCESS_CONTROL_TAG = 453,
    VAR_LOCAL_ZONE_OVERRIDE = 454,
    VAR_ACCESS_CONTROL_TAG_ACTION = 455,
    VAR_ACCESS_CONTROL_TAG_DATA = 456,
    VAR_VIEW = 457,
    VAR_ACCESS_CONTROL_VIEW = 458,
    VAR_VIEW_FIRST = 459,
    VAR_SERVE_EXPIRED = 460,
    VAR_SERVE_EXPIRED_TTL = 461,
    VAR_SERVE_EXPIRED_TTL_RESET = 462,
    VAR_FAKE_DSA = 463,
    VAR_FAKE_SHA1 = 464,
    VAR_LOG_IDENTITY = 465,
    VAR_HIDE_TRUSTANCHOR = 466,
    VAR_TRUST_ANCHOR_SIGNALING = 467,
    VAR_AGGRESSIVE_NSEC = 468,
    VAR_USE_SYSTEMD = 469,
    VAR_SHM_ENABLE = 470,
    VAR_SHM_KEY = 471,
    VAR_ROOT_KEY_SENTINEL = 472,
    VAR_DNSCRYPT = 473,
    VAR_DNSCRYPT_ENABLE = 474,
    VAR_DNSCRYPT_PORT = 475,
    VAR_DNSCRYPT_PROVIDER = 476,
    VAR_DNSCRYPT_SECRET_KEY = 477,
    VAR_DNSCRYPT_PROVIDER_CERT = 478,
    VAR_DNSCRYPT_PROVIDER_CERT_ROTATED = 479,
    VAR_DNSCRYPT_SHARED_SECRET_CACHE_SIZE = 480,
    VAR_DNSCRYPT_SHARED_SECRET_CACHE_SLABS = 481,
    VAR_DNSCRYPT_NONCE_CACHE_SIZE = 482,
    VAR_DNSCRYPT_NONCE_CACHE_SLABS = 483,
    VAR_IPSECMOD_ENABLED = 484,
    VAR_IPSECMOD_HOOK = 485,
    VAR_IPSECMOD_IGNORE_BOGUS = 486,
    VAR_IPSECMOD_MAX_TTL = 487,
    VAR_IPSECMOD_WHITELIST = 488,
    VAR_IPSECMOD_STRICT = 489,
    VAR_CACHEDB = 490,
    VAR_CACHEDB_BACKEND = 491,
    VAR_CACHEDB_SECRETSEED = 492,
    VAR_CACHEDB_REDISHOST = 493,
    VAR_CACHEDB_REDISPORT = 494,
    VAR_CACHEDB_REDISTIMEOUT = 495,
    VAR_UDP_UPSTREAM_WITHOUT_DOWNSTREAM = 496,
    VAR_FOR_UPSTREAM = 497,
    VAR_AUTH_ZONE = 498,
    VAR_ZONEFILE = 499,
    VAR_MASTER = 500,
    VAR_URL = 501,
    VAR_FOR_DOWNSTREAM = 502,
    VAR_FALLBACK_ENABLED = 503,
    VAR_TLS_ADDITIONAL_PORT = 504,
    VAR_LOW_RTT = 505,
    VAR_LOW_RTT_PERMIL = 506,
    VAR_FAST_SERVER_PERMIL = 507,
    VAR_FAST_SERVER_NUM = 508,
    VAR_ALLOW_NOTIFY = 509,
    VAR_TLS_WIN_CERT = 510,
    VAR_TCP_CONNECTION_LIMIT = 511,
    VAR_FORWARD_NO_CACHE = 512,
    VAR_STUB_NO_CACHE = 513,
    VAR_LOG_SERVFAIL = 514,
    VAR_DENY_ANY = 515,
    VAR_UNKNOWN_SERVER_TIME_LIMIT = 516
  };
#endif
/* Tokens.  */
#define SPACE 258
#define LETTER 259
#define NEWLINE 260
#define COMMENT 261
#define COLON 262
#define ANY 263
#define ZONESTR 264
#define STRING_ARG 265
#define VAR_SERVER 266
#define VAR_VERBOSITY 267
#define VAR_NUM_THREADS 268
#define VAR_PORT 269
#define VAR_OUTGOING_RANGE 270
#define VAR_INTERFACE 271
#define VAR_DO_IP4 272
#define VAR_DO_IP6 273
#define VAR_PREFER_IP6 274
#define VAR_DO_UDP 275
#define VAR_DO_TCP 276
#define VAR_TCP_MSS 277
#define VAR_OUTGOING_TCP_MSS 278
#define VAR_TCP_IDLE_TIMEOUT 279
#define VAR_EDNS_TCP_KEEPALIVE 280
#define VAR_EDNS_TCP_KEEPALIVE_TIMEOUT 281
#define VAR_CHROOT 282
#define VAR_USERNAME 283
#define VAR_DIRECTORY 284
#define VAR_LOGFILE 285
#define VAR_PIDFILE 286
#define VAR_MSG_CACHE_SIZE 287
#define VAR_MSG_CACHE_SLABS 288
#define VAR_NUM_QUERIES_PER_THREAD 289
#define VAR_RRSET_CACHE_SIZE 290
#define VAR_RRSET_CACHE_SLABS 291
#define VAR_OUTGOING_NUM_TCP 292
#define VAR_INFRA_HOST_TTL 293
#define VAR_INFRA_LAME_TTL 294
#define VAR_INFRA_CACHE_SLABS 295
#define VAR_INFRA_CACHE_NUMHOSTS 296
#define VAR_INFRA_CACHE_LAME_SIZE 297
#define VAR_NAME 298
#define VAR_STUB_ZONE 299
#define VAR_STUB_HOST 300
#define VAR_STUB_ADDR 301
#define VAR_TARGET_FETCH_POLICY 302
#define VAR_HARDEN_SHORT_BUFSIZE 303
#define VAR_HARDEN_LARGE_QUERIES 304
#define VAR_FORWARD_ZONE 305
#define VAR_FORWARD_HOST 306
#define VAR_FORWARD_ADDR 307
#define VAR_DO_NOT_QUERY_ADDRESS 308
#define VAR_HIDE_IDENTITY 309
#define VAR_HIDE_VERSION 310
#define VAR_IDENTITY 311
#define VAR_VERSION 312
#define VAR_HARDEN_GLUE 313
#define VAR_MODULE_CONF 314
#define VAR_TRUST_ANCHOR_FILE 315
#define VAR_TRUST_ANCHOR 316
#define VAR_VAL_OVERRIDE_DATE 317
#define VAR_BOGUS_TTL 318
#define VAR_VAL_CLEAN_ADDITIONAL 319
#define VAR_VAL_PERMISSIVE_MODE 320
#define VAR_INCOMING_NUM_TCP 321
#define VAR_MSG_BUFFER_SIZE 322
#define VAR_KEY_CACHE_SIZE 323
#define VAR_KEY_CACHE_SLABS 324
#define VAR_TRUSTED_KEYS_FILE 325
#define VAR_VAL_NSEC3_KEYSIZE_ITERATIONS 326
#define VAR_USE_SYSLOG 327
#define VAR_OUTGOING_INTERFACE 328
#define VAR_ROOT_HINTS 329
#define VAR_DO_NOT_QUERY_LOCALHOST 330
#define VAR_CACHE_MAX_TTL 331
#define VAR_HARDEN_DNSSEC_STRIPPED 332
#define VAR_ACCESS_CONTROL 333
#define VAR_LOCAL_ZONE 334
#define VAR_LOCAL_DATA 335
#define VAR_INTERFACE_AUTOMATIC 336
#define VAR_STATISTICS_INTERVAL 337
#define VAR_DO_DAEMONIZE 338
#define VAR_USE_CAPS_FOR_ID 339
#define VAR_STATISTICS_CUMULATIVE 340
#define VAR_OUTGOING_PORT_PERMIT 341
#define VAR_OUTGOING_PORT_AVOID 342
#define VAR_DLV_ANCHOR_FILE 343
#define VAR_DLV_ANCHOR 344
#define VAR_NEG_CACHE_SIZE 345
#define VAR_HARDEN_REFERRAL_PATH 346
#define VAR_PRIVATE_ADDRESS 347
#define VAR_PRIVATE_DOMAIN 348
#define VAR_REMOTE_CONTROL 349
#define VAR_CONTROL_ENABLE 350
#define VAR_CONTROL_INTERFACE 351
#define VAR_CONTROL_PORT 352
#define VAR_SERVER_KEY_FILE 353
#define VAR_SERVER_CERT_FILE 354
#define VAR_CONTROL_KEY_FILE 355
#define VAR_CONTROL_CERT_FILE 356
#define VAR_CONTROL_USE_CERT 357
#define VAR_EXTENDED_STATISTICS 358
#define VAR_LOCAL_DATA_PTR 359
#define VAR_JOSTLE_TIMEOUT 360
#define VAR_STUB_PRIME 361
#define VAR_UNWANTED_REPLY_THRESHOLD 362
#define VAR_LOG_TIME_ASCII 363
#define VAR_DOMAIN_INSECURE 364
#define VAR_PYTHON 365
#define VAR_PYTHON_SCRIPT 366
#define VAR_VAL_SIG_SKEW_MIN 367
#define VAR_VAL_SIG_SKEW_MAX 368
#define VAR_CACHE_MIN_TTL 369
#define VAR_VAL_LOG_LEVEL 370
#define VAR_AUTO_TRUST_ANCHOR_FILE 371
#define VAR_KEEP_MISSING 372
#define VAR_ADD_HOLDDOWN 373
#define VAR_DEL_HOLDDOWN 374
#define VAR_SO_RCVBUF 375
#define VAR_EDNS_BUFFER_SIZE 376
#define VAR_PREFETCH 377
#define VAR_PREFETCH_KEY 378
#define VAR_SO_SNDBUF 379
#define VAR_SO_REUSEPORT 380
#define VAR_HARDEN_BELOW_NXDOMAIN 381
#define VAR_IGNORE_CD_FLAG 382
#define VAR_LOG_QUERIES 383
#define VAR_LOG_REPLIES 384
#define VAR_LOG_LOCAL_ACTIONS 385
#define VAR_TCP_UPSTREAM 386
#define VAR_SSL_UPSTREAM 387
#define VAR_SSL_SERVICE_KEY 388
#define VAR_SSL_SERVICE_PEM 389
#define VAR_SSL_PORT 390
#define VAR_FORWARD_FIRST 391
#define VAR_STUB_SSL_UPSTREAM 392
#define VAR_FORWARD_SSL_UPSTREAM 393
#define VAR_TLS_CERT_BUNDLE 394
#define VAR_STUB_FIRST 395
#define VAR_MINIMAL_RESPONSES 396
#define VAR_RRSET_ROUNDROBIN 397
#define VAR_MAX_UDP_SIZE 398
#define VAR_DELAY_CLOSE 399
#define VAR_UNBLOCK_LAN_ZONES 400
#define VAR_INSECURE_LAN_ZONES 401
#define VAR_INFRA_CACHE_MIN_RTT 402
#define VAR_DNS64_PREFIX 403
#define VAR_DNS64_SYNTHALL 404
#define VAR_DNS64_IGNORE_AAAA 405
#define VAR_DNSTAP 406
#define VAR_DNSTAP_ENABLE 407
#define VAR_DNSTAP_SOCKET_PATH 408
#define VAR_DNSTAP_SEND_IDENTITY 409
#define VAR_DNSTAP_SEND_VERSION 410
#define VAR_DNSTAP_IDENTITY 411
#define VAR_DNSTAP_VERSION 412
#define VAR_DNSTAP_LOG_RESOLVER_QUERY_MESSAGES 413
#define VAR_DNSTAP_LOG_RESOLVER_RESPONSE_MESSAGES 414
#define VAR_DNSTAP_LOG_CLIENT_QUERY_MESSAGES 415
#define VAR_DNSTAP_LOG_CLIENT_RESPONSE_MESSAGES 416
#define VAR_DNSTAP_LOG_FORWARDER_QUERY_MESSAGES 417
#define VAR_DNSTAP_LOG_FORWARDER_RESPONSE_MESSAGES 418
#define VAR_RESPONSE_IP_TAG 419
#define VAR_RESPONSE_IP 420
#define VAR_RESPONSE_IP_DATA 421
#define VAR_HARDEN_ALGO_DOWNGRADE 422
#define VAR_IP_TRANSPARENT 423
#define VAR_DISABLE_DNSSEC_LAME_CHECK 424
#define VAR_IP_RATELIMIT 425
#define VAR_IP_RATELIMIT_SLABS 426
#define VAR_IP_RATELIMIT_SIZE 427
#define VAR_RATELIMIT 428
#define VAR_RATELIMIT_SLABS 429
#define VAR_RATELIMIT_SIZE 430
#define VAR_RATELIMIT_FOR_DOMAIN 431
#define VAR_RATELIMIT_BELOW_DOMAIN 432
#define VAR_IP_RATELIMIT_FACTOR 433
#define VAR_RATELIMIT_FACTOR 434
#define VAR_SEND_CLIENT_SUBNET 435
#define VAR_CLIENT_SUBNET_ZONE 436
#define VAR_CLIENT_SUBNET_ALWAYS_FORWARD 437
#define VAR_CLIENT_SUBNET_OPCODE 438
#define VAR_MAX_CLIENT_SUBNET_IPV4 439
#define VAR_MAX_CLIENT_SUBNET_IPV6 440
#define VAR_MIN_CLIENT_SUBNET_IPV4 441
#define VAR_MIN_CLIENT_SUBNET_IPV6 442
#define VAR_MAX_ECS_TREE_SIZE_IPV4 443
#define VAR_MAX_ECS_TREE_SIZE_IPV6 444
#define VAR_CAPS_WHITELIST 445
#define VAR_CACHE_MAX_NEGATIVE_TTL 446
#define VAR_PERMIT_SMALL_HOLDDOWN 447
#define VAR_QNAME_MINIMISATION 448
#define VAR_QNAME_MINIMISATION_STRICT 449
#define VAR_IP_FREEBIND 450
#define VAR_DEFINE_TAG 451
#define VAR_LOCAL_ZONE_TAG 452
#define VAR_ACCESS_CONTROL_TAG 453
#define VAR_LOCAL_ZONE_OVERRIDE 454
#define VAR_ACCESS_CONTROL_TAG_ACTION 455
#define VAR_ACCESS_CONTROL_TAG_DATA 456
#define VAR_VIEW 457
#define VAR_ACCESS_CONTROL_VIEW 458
#define VAR_VIEW_FIRST 459
#define VAR_SERVE_EXPIRED 460
#define VAR_SERVE_EXPIRED_TTL 461
#define VAR_SERVE_EXPIRED_TTL_RESET 462
#define VAR_FAKE_DSA 463
#define VAR_FAKE_SHA1 464
#define VAR_LOG_IDENTITY 465
#define VAR_HIDE_TRUSTANCHOR 466
#define VAR_TRUST_ANCHOR_SIGNALING 467
#define VAR_AGGRESSIVE_NSEC 468
#define VAR_USE_SYSTEMD 469
#define VAR_SHM_ENABLE 470
#define VAR_SHM_KEY 471
#define VAR_ROOT_KEY_SENTINEL 472
#define VAR_DNSCRYPT 473
#define VAR_DNSCRYPT_ENABLE 474
#define VAR_DNSCRYPT_PORT 475
#define VAR_DNSCRYPT_PROVIDER 476
#define VAR_DNSCRYPT_SECRET_KEY 477
#define VAR_DNSCRYPT_PROVIDER_CERT 478
#define VAR_DNSCRYPT_PROVIDER_CERT_ROTATED 479
#define VAR_DNSCRYPT_SHARED_SECRET_CACHE_SIZE 480
#define VAR_DNSCRYPT_SHARED_SECRET_CACHE_SLABS 481
#define VAR_DNSCRYPT_NONCE_CACHE_SIZE 482
#define VAR_DNSCRYPT_NONCE_CACHE_SLABS 483
#define VAR_IPSECMOD_ENABLED 484
#define VAR_IPSECMOD_HOOK 485
#define VAR_IPSECMOD_IGNORE_BOGUS 486
#define VAR_IPSECMOD_MAX_TTL 487
#define VAR_IPSECMOD_WHITELIST 488
#define VAR_IPSECMOD_STRICT 489
#define VAR_CACHEDB 490
#define VAR_CACHEDB_BACKEND 491
#define VAR_CACHEDB_SECRETSEED 492
#define VAR_CACHEDB_REDISHOST 493
#define VAR_CACHEDB_REDISPORT 494
#define VAR_CACHEDB_REDISTIMEOUT 495
#define VAR_UDP_UPSTREAM_WITHOUT_DOWNSTREAM 496
#define VAR_FOR_UPSTREAM 497
#define VAR_AUTH_ZONE 498
#define VAR_ZONEFILE 499
#define VAR_MASTER 500
#define VAR_URL 501
#define VAR_FOR_DOWNSTREAM 502
#define VAR_FALLBACK_ENABLED 503
#define VAR_TLS_ADDITIONAL_PORT 504
#define VAR_LOW_RTT 505
#define VAR_LOW_RTT_PERMIL 506
#define VAR_FAST_SERVER_PERMIL 507
#define VAR_FAST_SERVER_NUM 508
#define VAR_ALLOW_NOTIFY 509
#define VAR_TLS_WIN_CERT 510
#define VAR_TCP_CONNECTION_LIMIT 511
#define VAR_FORWARD_NO_CACHE 512
#define VAR_STUB_NO_CACHE 513
#define VAR_LOG_SERVFAIL 514
#define VAR_DENY_ANY 515
#define VAR_UNKNOWN_SERVER_TIME_LIMIT 516

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 66 "util/configparser.y" /* yacc.c:1909  */

	char*	str;

#line 580 "util/configparser.h" /* yacc.c:1909  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_UTIL_CONFIGPARSER_H_INCLUDED  */
